var mysql=require('mysql');

var OrderCreator=function(moduli){
	var self=this;
	var db=moduli.db;

	var verifyCart=function(id_buyer, id_collezione,cb){
		var quer="SELECT ci.*,c.`id-colore`,c.`id-taglia`,c.al_pronto FROM `cart-items_carrello` as ci JOIN carrello as c ON ci.id=c.id WHERE ci.`id-buyer`='"+id_buyer+"' AND `id-collezione`='"+id_collezione+"';";
		db.get("system").query(quer,function(err,res){
			var response=[];
			if(err){
				console.log(err);
			}else{
				response=res;
				var count_t=0;
				for(var i in res){
					if(parseInt(res[i]['id-collezione'])==2){
						var split_code=res[i].codice_articolo.split("/");
						if(split_code[0]=="-PH-TB"&&parseInt(res[i].quantita)>0){
							console.log('ok');
							count_t++;
						}
					}
				}
				if(parseInt(res[0]['id-collezione'])==2){
					response.push(count_t);
				}
			}
			cb(response);
		});
	}


	/*  id_licenza_
		timestamp_
		pad(5,id_ordine)
	*/
	var readLicense=function(cb){
		var quer="SELECT valore FROM `dati_installazione` WHERE nome='licenza'";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}else if(res.length>0){
				cb(res);
			}
		});
	}

	var padString=function(num, padlen, padchar) {
		if(padchar==undefined){
			padchar='0';
		}
		var pad = new Array(1 + padlen).join(padchar);
		return (pad + num).slice(-pad.length);
	}

	var createOrderNumber=function(id_ordine, timestamp,licenza){
		return codice_ordine=licenza+"_"+timestamp+"_"+padString(id_ordine,5);
	}

	var updateOrdine=function(codice_ordine,id_ordine){
		var quer="UPDATE ordini SET codice_ordine='"+codice_ordine+"' WHERE id='"+id_ordine+"'";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertOrderDetail=function(cart,id_ordine){
		var arr_ordine=[];
		for(var i in cart){
			if(parseInt(cart[i].quantita)!=0){
				arr_ordine.push("('"+id_ordine+"','"+cart[i]['id_articolo']+"','"+cart[i]['id-colore']+"','"+cart[i]['id-taglia']+"','"+cart[i].quantita+"','"+cart[i].prezzo_unitario+"','1')");
			}
		}
		var str_ordine=arr_ordine.join(",");
		var quer="INSERT INTO `dettagli_ordine`"+
		"(`id-ordine`, `id-articolo`, `id-colore`, `id-taglia`, `quantita`, `prezzo_unitario_riservato`, `attivo`)"+
		"VALUES "+str_ordine;	
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertFile=function(id_ordine,codice_ordine){
		var quer="INSERT INTO `ordini_file`(`id_ordine`, `nome_file`) VALUES ('"+id_ordine+"','"+codice_ordine+"')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertFirma=function(id_ordine,id_spedizione,firma,timestamp){
		var quer="INSERT INTO `firme`(`id_ordine`, `id-spedizione`, `firma`, `timestamp`, `attivo`) VALUES ('"+id_ordine+"','"+id_spedizione+"','"+firma+"','"+timestamp+"','1')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}
	
	var deleteCart=function(id_cart){
		var string_id=id_cart.join("','");
		var quer="DELETE FROM `carrello` WHERE `id` IN ('"+string_id+"')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}
	
	var updateMagazzino=function(cart){
		var queries="";
		for(var i in cart){
			if(cart[i].quantita>0){
				queries="UPDATE articoli SET quantita=quantita-"+cart[i].quantita+" WHERE id_articolo="+cart[i].id_articolo+" AND taglia='"+cart[i].taglia+"';";
				console.log("QUERIESS");
				console.log(queries);
				console.log("FINE QUERIESS");
				db.get("magazzino").query(queries,function(err,res){
					console.log(err);
				});
			}
		}
	}

	var insertOrder=function(id_buyer,id_collezione,cart,totale_articoli,valore,id_spedizione,firma,id_cart,cb){
		var timestamp=Math.floor(Date.now()/1000);
		var quer="INSERT INTO `ordini`"+
			"(`codice_ordine`, `id-buyer`, `id-collezione`, `totale_articoli`, `valore`, `status`, `data_ordine`, `data_ultima_modifica`, `attivo`)"+
			"VALUES ('','"+id_buyer+"','"+id_collezione+"','"+totale_articoli+"','"+valore+"','da accettare','"+timestamp+"','"+timestamp+"','1')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}else{
				var id_ordine=res.insertId;
				if(parseInt(cart[0].al_pronto)==1){
					quer2="INSERT INTO `ordini_in_sospeso` (`id_ordine`) VALUES ('"+id_ordine+"')";
					db.get("system").query(quer2,function(err,res){
						updateMagazzino(cart);
					});
				}
				readLicense(function(lic){
					var licenza=lic[0].valore;
					var codice_ordine=createOrderNumber(id_ordine, timestamp,licenza);
					updateOrdine(codice_ordine,id_ordine);
					insertOrderDetail(cart,id_ordine);
					insertFile(id_ordine,codice_ordine);
					insertFirma(id_ordine,id_spedizione,firma,timestamp);
					deleteCart(id_cart);
					cb({id:id_ordine,time:timestamp});
				});
			}
		});
	}

	this.newOrder=function(id_buyer, id_collezione,firma,id_spedizione,cb){
		verifyCart(id_buyer, id_collezione,function(e){
			var totale_articoli=0;
			var valore=0;
			var id_cart=[];
			for(var i in e){
				if(parseInt(id_collezione)==2){
					if(i<e.length-1){
						totale_articoli+=parseInt(e[i].quantita);
						valore+=parseInt(e[i].totale_costo_articolo);
						id_cart.push(e[i].id);
					}
					if(i==e.length-1){
						valore+=100*parseInt(e[i]);
						e.splice(e.length-1);
						console.log("new_e");
						console.log(e);
						insertOrder(id_buyer,id_collezione,e,totale_articoli,valore,id_spedizione,firma,id_cart,cb);
					}

				}else{
					totale_articoli+=parseInt(e[i].quantita);
					valore+=parseInt(e[i].totale_costo_articolo);
					id_cart.push(e[i].id);
					if(i==e.length-1){
						insertOrder(id_buyer,id_collezione,e,totale_articoli,valore,id_spedizione,firma,id_cart,cb);
					}
				}
			}
		});
		
	} 
	
	this.listener=function(io,socket){
		socket.on('createOrder', function(arr){
			var id_buyer=arr.id_buyer;
			var id_collezione=arr.id_collezione;
			var firma=arr.firma;
			var id_spedizione=arr.id_spedizione;
			self.newOrder(id_buyer, id_collezione,firma,id_spedizione,function(r){
				socket.emit('createOrder', r);
			});
		});
	}
	
}

module.exports={
	initiate:OrderCreator
};