<?php

	require_once('../timeconnection.php');
	$args=[];
	foreach($argv as $x){
		$tmp=explode("=",$x);
		$args[$tmp[0]]=$tmp[1];
	}
	$id_ordine=$args['id_ordine'];
	
	$data="";
	$id_buyer="";
	$id_collezione="";
	$id_ind="";
	$id_pag="";
	$id_cons="";
	$id_listino="";
	$nome_listino="";
	$nome_valuta="";
	$elenco_ordini=[];
	
	$fixed=[
		"header"=>[
			"TASK_CLASS_NAME"=> "it.carpinfo.ordcli.OrdineCliFromJsonTK",
			"id_documento"=> "0",
			"cod_profilo_soggetto"=> "STD",
			"flag_tipo_consegna"=> "1",
			"perc_utile_agente"=>"0",
			"cod_tipo_ordine_cli"=> "W",
			"rif_interno"=> "",
			"cod_vettore_1"=> "",
			"peso_lordo"=> "0",
			"peso_netto"=> "0",
			"num_colli"=> "0",
			"num_bancali"=> "0",
			"sconto_massimo_applicabile"=> "0",
			"sconto_massimo_applicabile_ins"=> "0",
			"provvigione"=> "0",
			"provvigione_ins"=> "0",
			"contrassegno"=> "0",
			"status_documento"=> "40",
			"da_tablet"=> "0",
			"righe"=> []
		],
		"row"=>[
			"id_documento"=> "0",
			"cod_spec_2"=> "",
			"cod_spec_3"=> "",
			"qta_fatt"=>"0",
			"qta_alternativa"=> "0",
			"prezzo_fatt"=>"0",
			"perc_sc_1"=>"0",
			"perc_sc_2"=> "0",
			"perc_sc_3"=> "0",
			"perc_provvigione"=>"0",
			"prezzo_base"=>"0",
			"importo_provvigione"=> "0",
			"flag_omaggio"=>"0",
			"tipo_prezzo"=>"0",
			"status_riga"=>"10",
			"peso_lordo"=>"0",
			"peso_netto"=> "0",
			"num_colli"=> "0",
			"num_bancali"=>"0"
		]
	];
	
	
	
	$quer="SELECT * FROM `order-item` WHERE `id-ordine`='$id_ordine' ORDER BY codice_articolo";
	$result=mysqli_query($link["system"],$quer);
	if(mysqli_num_rows($result)>0){
		while($row=mysqli_fetch_assoc($result)){
			$data=date("Ymd",$row['timestamp']);
			$id_buyer=$row['id-buyer'];
			$id_collezione=$row['id-collezione'];
			$id_ind=$row['id-spedizione'];
			$elenco_ordini[]=$row;
		}
	}
	
	$q2="SELECT * FROM `opzioni-buyer_collezioni` WHERE `id-buyer_collezioni`=(SELECT id FROM `buyer_collezioni` WHERE `id-buyer`='$id_buyer')";
	$result=mysqli_query($link["system"],$q2);
	if(mysqli_num_rows($result)>0){
		while($row2=mysqli_fetch_assoc($result)){
			if($row2['opzione']=="pagamento"){
				$id_pag=$row2['valore'];
			}
			if($row2['opzione']=="consegna"){
				$id_cons=$row2['valore'];
			}
		}
	}
	
	$q3="SELECT * FROM `associazione_listini` WHERE `id-buyer`='$id_buyer'";
	$result=mysqli_query($link["system"],$q3);
	if(mysqli_num_rows($result)>0){
		while($row3=mysqli_fetch_assoc($result)){
			$id_listino=$row3['id-listino'];
		}
	}

	$q4="SELECT nome,nome_valuta FROM listini WHERE `id`='$id_listino'";
	$result=mysqli_query($link["collezioni"],$q4);
	if(mysqli_num_rows($result)>0){
		while($row4=mysqli_fetch_assoc($result)){
			$nome_listino=$row4['nome'];
			$nome_valuta=$row4['nome_valuta'];
		}
	}					

	$buyer=[];
	$q5="SELECT b.cod_esterno,a.codice_agente,i.label FROM buyer AS b JOIN agenti_buyer AS a ON b.id=a.`id_buyer` JOIN indirizzi_spedizione as i ON b.id=i.`id-buyer` WHERE b.id='$id_buyer' AND i.`id-indirizzo`='$id_ind'";
	$result=mysqli_query($link["buyer"],$q5);	
	if(mysqli_num_rows($result)>0){
		$row5=mysqli_fetch_assoc($result);
		$buyer=$row5;
	}	

	$codici_jack=[];
	$q6="SELECT codici_colori_jack.id_articolo,codici_colori_jack.`id-cartella_colore`,codici_colori_jack.codice_colore,codici_colori_jack.id_colore,codici_colori_jack.codice_jack,descrizioni_jack.descrizione,descrizioni_jack.udm FROM `codici_colori_jack` JOIN descrizioni_jack ON codici_colori_jack.id_articolo=descrizioni_jack.id_articolo ";
	$result=mysqli_query($link["collezioni"],$q6);
	if(mysqli_num_rows($result)>0){
		while($row6=mysqli_fetch_assoc($result)){
			if(!isset($codici_jack[$row6['id_articolo']])){
				$codici_jack[$row6['id_articolo']]=[];
			}
			if(!isset($codici_jack[$row6['id_articolo']][$row6['id-cartella_colore']])){
				$codici_jack[$row6['id_articolo']][$row6['id-cartella_colore']]=[];
			}
			$codici_jack[$row6['id_articolo']]['desc']=$row6['descrizione'];
			$codici_jack[$row6['id_articolo']]['udm']=$row6['udm'];
			$codici_jack[$row6['id_articolo']][$row6['id-cartella_colore']][$row6['codice_colore']]=$row6['codice_jack'];
		}
	}
	
	$ordini=[];
	foreach($elenco_ordini as $index=>$val){
		
		if(!isset($ordini[$val['codice_articolo']])){
			$ordini[$val['codice_articolo']]=[];
		}
		if(!isset($ordini[$val['codice_articolo']][$val['codice_colore']])){
			$ordini[$val['codice_articolo']][$val['codice_colore']]=[];
			$ordini[$val['codice_articolo']][$val['codice_colore']]["quantita"]=0;
			$ordini[$val['codice_articolo']][$val['codice_colore']]["qt_prog"]=[];
			$ordini[$val['codice_articolo']][$val['codice_colore']]["taglie"]=$val['scala_taglie'];
		}
		$ordini[$val['codice_articolo']][$val['codice_colore']]["cod_colore"]=$codici_jack[$val['id_articolo']][$val['id-cartella_colore']][$val['codice_colore']];
		$ordini[$val['codice_articolo']][$val['codice_colore']]["desc_articolo"]=$codici_jack[$val['id_articolo']]['desc'];
		$ordini[$val['codice_articolo']][$val['codice_colore']]["udm"]=$codici_jack[$val['id_articolo']]['udm'];
		$ordini[$val['codice_articolo']][$val['codice_colore']]["prezzo"]=$val['prezzo_unitario'];
		$ordini[$val['codice_articolo']][$val['codice_colore']]["quantita"]+=$val['quantita'];
		$ordini[$val['codice_articolo']][$val['codice_colore']][$val['taglia']]=$val['quantita'];
		
	}
	
	$newOrderWorld=$fixed['header'];
	$newOrderWorld['cod_soggetto']=$buyer['cod_esterno'];
	$newOrderWorld['num_ordine_cli']=$id_ordine;
	$newOrderWorld['data_ordine_cli']=$data;
	$newOrderWorld['data_consegna']="20211112";
	$newOrderWorld['cod_destinatario']=$buyer['label'];
	$newOrderWorld['cod_destinazione']=$buyer['label'];
	$newOrderWorld['perc_sc_1']=0;
	$newOrderWorld['cod_listino_cli']=$nome_listino;
	$newOrderWorld['cod_pagamento']=$id_pag;
	$newOrderWorld['referente_cliente']="";
	$newOrderWorld['cod_agente']=$buyer['codice_agente'];
	$newOrderWorld['cod_divisa']=$nome_valuta;
	$newOrderWorld['cod_stagione']="PE22";
	$newOrderWorld['rif_esterno']="";
	$newOrderWorld['cod_porto']=$id_cons;
	
	$count=0;
	foreach($ordini as $code=>$value){
		$count++;
		foreach($value as $ind=>$col){
			$taglie=explode(',',$col['taglie']);
			$qt_prog=[0];
			foreach($taglie as $tg){
				if(!isset($col[$tg])){
					$qt_prog[]=0;
				}else{
					$qt_prog[]=(int)$col[$tg];
				}
				
			} 
			// console.log(qt_prog)
			$obj=$fixed['row'];
			$obj['riga_ordine_cli']=$count;
			$obj['cod_articolo']=$code;
			$obj['des_articolo']=$col['desc_articolo'];
			$obj['cod_spec_1']=$col['cod_colore'];
			$obj['qta']=$col['quantita'];
			$obj['prezzo']=(int)$col['prezzo'];
			$obj['data_consegna']=$data;
			$obj['cod_listino_cli']=$nome_listino;
			$obj['cod_udm']=$col['udm'];
			$obj['cod_udm_fatt']=$col['udm'];
			$obj['qta_prog']=$qt_prog;
			$newOrderWorld['righe'][]=$obj;
		}
	}
	
	echo json_encode($newOrderWorld);
	