var mysql=require('mysql');

var dynamicMenu=function(moduli){
	var self=this;
	var db=moduli.db;

	var get=function(socket,data){
		var menues="";
		for(var i in data.menu){
			if(i!=0){
				menues+=",";					
			}
			menues+='"'+data.menu[i]+'"';
		}
		var query_this="SELECT `menu`,`tag`, `nome` FROM `menu` WHERE `gruppo`=\""+data.gruppo+"\" AND `menu` IN ("+menues+") ORDER BY `ordine`";
		
		db.get('system').query(query_this,function(err,res){
			if(err) {
				console.log('ROW 248');
				console.log(err);
				socket.emit('getMenu',false, err);
			} else {
				var risultato={};
				for(var o in res){
					if(risultato[res[o].menu]==undefined){
						risultato[res[o].menu]=[];						
					}
					risultato[res[o].menu].push({"tag":res[o].tag,"nome":res[o].nome});
				}				
				moduli.templateManager.get('header',function(success, tpl){
					if(success) {
						risultato['template']=tpl;
						socket.emit('getMenu', true, risultato);
					} else {
						socket.emit('getMenu', false, risultato);
					}
				});
			}
		});
	}

	this.listener=function(io,socket){

		socket.on('getMenu', function(data){
			get(socket,data);
		});
	}
}

module.exports={
	initiate:dynamicMenu
};