var collection=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
		//qui ascoltatori
	}

	this.dynamicQuery=[
		{
			"label":"add_article",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM `articoli_esclusi` WHERE `id-buyer_collezioni`='"+data.id_buyer+"' AND  `id-articolo`='"+data.id_article+"';");
			}
		},
		{
			"label":"remove_article",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `articoli_esclusi`(`id-buyer_collezioni`, `id-articolo`) VALUES ('"+data.id_buyer+"', '"+data.id_article+"')");
				
			}
		},
		{
			"label":"update_cart",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM carrello WHERE `id-buyer`='"+data.id_buyer+"' AND `id-articolo` IN (SELECT `id-articolo` FROM `articoli_esclusi` WHERE `id-buyer_collezioni`='"+data.id_buyer_coll+"')");
				
			}
		},
		{
			"label":"update_saved_cart",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM carrelli_salvati_details WHERE `id-cart` IN (SELECT id FROM carrelli_salvati WHERE `id-buyer`='"+data.id_buyer+"') AND `id-articolo` IN (SELECT `id-articolo` FROM `articoli_esclusi` WHERE `id-buyer_collezioni`='"+data.id_buyer_coll+"')");
				
			}
		},
		{
			"label":"add_all_article",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM `articoli_esclusi` WHERE `id-buyer_collezioni`='"+data.id_buyer+"';");
			}
		},
		{
			"label":"add_coll",
			"dbase":"system",
			"composer":function(data,cb){
				cb("UPDATE `buyer_collezioni` SET `attivo`='1' WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='"+data.id_coll+"'");
				
			}
		},
		{
			"label":"remove_all_article",
			"dbase":"system",
			"composer":function(data,cb){
				cb("UPDATE `buyer_collezioni` SET `attivo`='0' WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='"+data.id_coll+"'");
				
			}
		}
	];

	this.getQuery=function(data){
		return{
			"buyer-id":"SELECT `id-buyer` FROM `buyers-list` WHERE `id-buyer`='"+data.ids[1]+"'",
			"buyer_collezioni":"SELECT `id`, `id-buyer`, `id-collezione`, `attivo` FROM `buyer_collezioni` WHERE `id-collezione`='"+data.ids[2]+"' AND `id-buyer`='"+data.ids[1]+"';",
			"articoli_esclusi":"SELECT `id`, `id-buyer_collezioni`, `id-articolo` FROM `articoli_esclusi` WHERE `id-buyer_collezioni` IN (SELECT id FROM buyer_collezioni WHERE `id-buyer`='"+data.ids[0]+"' AND `id-collezione`='"+data.ids[2]+"');",
			"buyers-list":"SELECT `id-articolo`, `id-buyer`, `id-collezione`, `attivo` FROM `articoli_esclusi_tot` WHERE `id-collezione`='"+data.ids[2]+"' AND `id-buyer`='"+data.ids[1]+"'",
			"home_admin-lista_articoli":"SELECT `id-collezione`, `id`, `codice`, `url`, `id-listino`, `prezzo`, `simbolo_valuta`,ordine FROM `home_admin-lista_articoli` WHERE `id-listino`='"+data.ids[0]+"' AND `id-collezione`='"+data.ids[2]+"' ORDER BY ordine"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:collection
};
