var article=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	
	// Metodo obbligatorio
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	
	// Metodo obbligatorio
	this.listener=function(io,socket){
		//QUI SI INSERISCONO GLI ASCOLTATORI DEDICATI ALLA PAGINA
		socket.on('example', function(data){
			if(activeListener){
				// IN OGNI ASCOLTATORE SERVE IL CONTROLLO SU activeListener
				console.log(data);				
			}
		});
	}
	
	//getQuery Metodo obbligatorio che trasmette le query per ottenere i dati utili per questa pagina
	this.getQuery=function(data){
		return{
			"articolo_dettaglio":
				"SELECT `id-articolo`, `codice`, `testo`, `id-cartella_colore`, `nome_cartella_colore`, `id-scala_taglie`, `altri_id_cartella`, `altri_nome_cartella`, `prezzo`, `simbolo_valuta`, `preferito`, `id-buyer`, `immagine_principale`, `colore_default`, `fabric`, `nome-collezione`, `nome_brand`"
				+" FROM `articolo_dettaglio`"
				+" WHERE `id-articolo` =\""+data.ids[0]+"\";"
			,"home_buyer-immagini_articolo":
				"SELECT `id-colore`, `codice`, `nome`, `ordine`, `id-articolo`, `immagine`, `show_default`"
				+" FROM `home_buyer-immagini_articolo`"
				+" WHERE `id-articolo` =\""+data.ids[0]+"\";"
			,"home_buyer-cartella_colore":
				"SELECT `id-articolo`, `id-cartella_colore`, `id-colore`, `codice`, `nome`, `immagine`, `url`, `fabric`, `default`, `is_selectable`"
				+" FROM `home_buyer-cartella_colore`"
				+" WHERE `id-articolo` =\""+data.ids[0]+"\";"
			,"home_buyer-scala_taglie_articolo":
				"SELECT `id-articolo`, `id-collezione`, `id-scala_taglie`, `taglie`"
				+" FROM `home_buyer-scala_taglie_articolo`"
				+" WHERE `id-articolo` =\""+data.ids[0]+"\";"
			,"card_articoli":
				"SELECT `id-provenienza`, `id-articolo`, `codice`, `immagine_principale`, `preferito`"
				+" FROM `card_articoli`"
				+" WHERE `id-provenienza` =\""+data.ids[0]+"\";"
		}
	}

	//getQuery Metodo che trasmette le query per ottenere i dati utili per questa pagina
	this.get=function(dataset,filters,cb){
		// MANIPOLAZIONE DEI DATI OTTENUTI E TRASMESSI PER IL TEMPLATE TRAMITE IL VETTORE data
		data.tabelle=dataset;
		data.filters=filters;
		data.variabili = {};
		
		if(dataset["articolo_dettaglio"].length > 0) {
		    data.variabili = dataset["articolo_dettaglio"][0];
		    if(data.variabili.preferito) {
		        data.variabili["icon_pref"] = "icon_cuore_red.svg";
		    } else {
		        data.variabili["icon_pref"] = "icon_cuore_black.svg";
		    }
		}
		
		if(dataset["home_buyer-scala_taglie_articolo"].length > 0) {
		    data.variabili["taglie"] = dataset["home_buyer-scala_taglie_articolo"][0]["taglie"];
		}
		
		data.tabelle.scale_qty = [];
		let arr=data.variabili.taglie.split('-');
		let len = arr.length;
		arr.map(x => x.trim());
		for(var i in arr) {
		    data.tabelle.scale_qty.push({"tg":arr[i],"qty":0, "tot_taglie":len});
		}

		console.log("data = "+JSON.stringify(data));
		
		cb(data);
	}
}

module.exports={
	initiate:article
};