var collection=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
	}

	this.dynamicQuery=[
		{
			"label":"get_listino",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("SELECT p.`id-articolo`,p.prezzo,l.simbolo_valuta FROM `listini` AS l JOIN prezzi AS p ON l.id=p.`id-listino` WHERE l.id='"+data.id+"'");
			}
		}
	];

	this.getQuery=function(data){
		console.log('******');
		console.log(data);
		console.log('******');
		console.log('SELECT `id-collezione`, `id-outfit`, `nome-outfit`, `immagine-outfit` FROM `home_buyer-singola_collezione_outfit` WHERE `id-collezione` =\""+data.ids[0]+"\" ORDER BY `nome-outfit`;');
		console.log('******');
		return{
			"home_buyer-singola_collezione_outfit":"SELECT `id-collezione`, `id-outfit`, `nome-outfit`, `immagine-outfit` FROM `home_buyer-singola_collezione_outfit` WHERE `id-collezione` =\""+data.ids[0]+"\" ORDER BY `nome-outfit`;"
			,"home_buyer-filtri_collezione":"SELECT `id`, `id-collezione`, `label`, `categoria`, `attivo` FROM `home_buyer-filtri_collezione` WHERE `id-collezione` =\""+data.ids[0]+"\";"
			,"home_buyer-categoria_articolo":"SELECT COALESCE(GROUP_CONCAT(DISTINCT `cat`.`categoria` ORDER BY  `cat`.`categoria` ASC SEPARATOR ','),'Articoli') AS `categorie`, `art`.`id-collezione`, `art`.`id` AS `id-articolo`, `art`.`codice` AS `nome-articolo`, GROUP_CONCAT(DISTINCT `art`.`url` ORDER BY  `art`.`id` ASC SEPARATOR ';') AS `immagine-articolo`, 0 AS `prezzo`, '' AS `simbolo_valuta`, 0 AS `preferito` FROM `home_admin-lista_articoli` AS `art` LEFT OUTER JOIN `home_buyer-categoria_articolo` AS `cat` ON `art`.`id` = `cat`.`id-articolo` WHERE `art`.`id-collezione` =1  GROUP BY `art`.`id`"
			,"listini":"SELECT * FROM `listini` WHERE `id-collezione`=\""+data.ids[0]+"\""
			
		};
	}
	this.get=function(dataset,filters,cb_get){
		data.tabelle=dataset;
		data.filters=filters;
		if (data.tabelle['home_buyer-singola_collezione_outfit'].length > 0){
			//OUTFIT
			data.tabelle["home_buyer-filtri_outfit"]=[];
			var outfit={"testo":"Outfit", "categoria":"Outfit"}
			data.tabelle["home_buyer-filtri_outfit"].unshift(outfit);
			var art={"testo":"Articoli", "categoria":"Articoli"};
			data.tabelle["home_buyer-filtri_outfit"].push(art);
			if(data.filters.show_collection === undefined){
				data.filters.show_collection='Outfit';
			}
		} else {
		    if(data.filters.show_collection === undefined){
				data.filters.show_collection='All';
			}
		}

		//COLLEZIONE
		/*
		data.tabelle["home_buyer-categoria_articolo"]=[{
			categorie:<CSV>,
			id-collezione,
			id-articolo,
			nome-articolo,
			immagine-articolo,
			prezzo,
			simbolo_valuta,
			preferito
		}]
		*/
		var formatCampi=function(elenco,cb_formatCampi){
			var ritorno=[];
			for(var u in elenco){
				ritorno[u]=elenco[u];
				ritorno[u].ids=JSON.stringify([elenco[u]["id-articolo"]]);
				let catArr=elenco[u].categorie.split(",");
				if (!catArr.includes('Articoli')) {
					catArr.unshift('Articoli');
				}
				ritorno[u].categorie=JSON.stringify(catArr);
				if(ritorno.length==elenco.length){
					cb_formatCampi(ritorno);
				}
			}			
		}

		formatCampi(data.tabelle["home_buyer-categoria_articolo"],function(ritorno){
			data.tabelle["home_buyer-categoria_articolo"]=ritorno;
			
			/*
				id
				id-collezione
				label
				categoria
				
				data.tabelle["home_buyer-filtri_collezione"][{"label":"","categoria":""}]
			*/
			var processaCategorie=function(data,cb_processaCategorie){
				
				var categorie_label={};
				var total=data.length;
				var processed=0;
				
                if(total === 0) {
					cb_processaCategorie(categorie_label);
				} else {
					for(var o in data){
						if(categorie_label[data[o]["label"]]==undefined){
							categorie_label[data[o]["label"]]=[];
						}
						if(!categorie_label[data[o]["label"]].includes(data[o]["categoria"])){
							categorie_label[data[o]["label"]].push({"categoria":data[o]["categoria"]});
						}
						processed++;
						if(total==processed){
							cb_processaCategorie(categorie_label);
						}
					}
				}				
			}
			
			processaCategorie(data.tabelle["home_buyer-filtri_collezione"],function(labels){
				data.tabelle["home_buyer-filtri_select"]=[];
				for(var e in labels){
					data.tabelle["home_buyer-filtri_select"].push({"label":e,"listOption":JSON.stringify(labels[e])});
				}
			    cb_get(data);
			});
			
			/*
			
			if(data.filters['show_collection'] != ''){
				data.filters['show_collection']='All';
			}
			
			var prevObj='';
			var selectObj='';
			var ftable = data.tabelle["home_buyer-filtri_collezione"];
			data.tabelle["home_buyer-filtri_select"]=[];
			for (var x=0; x<ftable.length; x++) {
				if (prevObj != ftable[x]['label']) {
					if (prevObj != '') {
						selectObj += '</select>';
						var csele={"testo":prevObj, "select":selectObj};
						data.tabelle["home_buyer-filtri_select"].push(csele);
					}
					selectObj = '<select class="filtriselect" name="'+ftable[x]['label']+'" selected>';
					selectObj += '<option value="All">All</option>';
				}
				selectObj += '<option value="'+ftable[x]['categoria']+'">'+ftable[x]['categoria']+'</option>';
				prevObj = ftable[x]['label'];
			}
			if (ftable.length > 0) {
				selectObj += '</select>';
				var csele={"testo":prevObj, "select":selectObj};
				data.tabelle["home_buyer-filtri_select"].push(csele);
			}
			console.log("home_buyer-filtri_collezione");
			console.log(data.tabelle["home_buyer-filtri_select"]);				
			
			*/
		});
		
		
	}
}

module.exports={
	initiate:collection
};