// import { writeFile } from "fs";
var fs = require('fs');
var insert_products=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('upload_photo', function(data){
			console.log(data.imgs);
			for(let i in data.imgs){
				fs.writeFile('../public_html/b2bpanama/img/articoli/'+data.imgs[i].name, data.imgs[i].file, (err) => {		  
				  console.log("----IMG----");
				  console.log(i);
				  console.log(data.imgs.length);
				  console.log("----IMG END----");
				  if(i==data.imgs.length-1){
					socket.emit('upload_photo',err?false:true,data.url+'/img/articoli/'+data.imgs[i].name);
				  }
				});
			}
		});
		//qui ascoltatori
	}

	this.dynamicQuery=[
		{
			"label":"insert_scalataglie",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `scala_taglie`(`id-collezione`, `nome`, `attivo`) VALUES (1,'"+data.nome+"','1');");
			}
		},
		{
			"label":"insert_taglie",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `taglie`(`id-scala_taglie`, `taglia`, `ordine`, `attivo`) VALUES "+data.values);
			}
		},
		{
			"label":"insert_testo",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `testi`(`codice_lingua`, `testo`) VALUES ('IT','"+data.testo+"')");
			}
		},
		{
			"label":"select_ordine",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT ordine FROM `home_admin-categorie_articoli` WHERE categoria LIKE '"+data.categoria+"' ORDER BY ordine DESC LIMIT 0,1;");
			}
		},
		{
			"label":"insert_articolo",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `articoli`(`id-collezione`, `codice`, `id-cartella_colore`, `descrizione`, `id-scala_taglie`, `ordine`, `attivo`) VALUES ('1','"+data.codice+"','0','"+data.testo+"','"+data.scala_taglie+"','"+data.ordine+"','1');");
			}
		},
		{
			"label":"insert_articolo_fornitore",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `articoli-fornitore`(`id_articolo`, `codice`, `id_fornitore`, `tipologia`, `costo`, `classe`, `attivo`) VALUES ('"+data.id+"','"+data.codice+"','"+data.id_fornitore+"','standard','"+data.prezzo+"','','1')");
			}
		},
		{
			"label":"insert_prezzi",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `prezzi`( `id-listino`, `id-articolo`, `prezzo`, `attivo`) VALUES "+data.prezzi);
			}
		},
		{
			"label":"insert_categorie",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `categorie` (`id-articolo`,`categoria`) VALUES "+data.categorie);
			}
		},
		{
			"label":"insert_media",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `media`(`tipo`, `url`, `alt`, `attivo`) VALUES "+data.media);
			}
		},
		{
			"label":"insert_media_articoli",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `media_articoli`(`id-articolo`, `id-colore`, `id-media`, `ordine`, `attivo`) VALUES "+data.media_articoli);
			}
		}
	];

	this.getQuery=function(data){
		return{
			"home_admin-scala_taglie":"SELECT * FROM `home_admin-scala_taglie` WHERE attivo='1'",
			"home_admin-fornitori":"SELECT * FROM `home_admin-fornitori`",
			"home_admin-listini":"SELECT * FROM `home_admin-listini`",
			"home_admin-categorie":"SELECT * FROM `home_admin-categorie`;"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:insert_products
};
