var orders=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
		//qui ascoltatori
	}
	
	this.dynamicQuery=[
		{
			"label":"read_order",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT * FROM `home_admin-ordine_dettagliato` WHERE `id-ordine`='"+data.id+"'");
			}
		},
		{
			"label":"change_status",
			"dbase":"system",
			"composer":function(data,cb){
				cb("UPDATE ordini SET status='"+data.status+"',data_ultima_modifica='"+data.time+"' WHERE id='"+data.id+"'");
			}
		},
		{
			"label":"get_email",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT t.*,d1.valore AS logo, d2.valore AS firma,f.email FROM `template_email` as t JOIN dati_installazione as d1 ON d1.nome='logo' JOIN dati_installazione as d2 ON d2.nome='nome' JOIN b2bstorepanama_collezioni.fornitori AS f WHERE t.tipo='"+data.tipo+"' AND f.id='"+data.id+"';");
			}
		},
		{
			"label":"get_fornitori",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT DISTINCT id_fornitore FROM `ordini_fornitore` WHERE `id-ordine`='"+data.id+"'");
			}
		},
		{
			"label":"delete_sospeso",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM `ordini_in_sospeso` WHERE `id_ordine`='"+data.id+"'");
			}
		},
		{
			"label":"ripristina_sospeso",
			"dbase":"magazzino",
			"composer":function(data,cb){
				cb("UPDATE articoli SET quantita=quantita+"+data.quantita+" WHERE id_articolo="+data.id_articolo+" AND taglia='"+data.taglia+"'");
			}
		}
	];
	
	this.getQuery=function(data){
		return{
			"home_admin-ordini":"SELECT * FROM `home_admin-ordini` WHERE `id-buyer` IN (SELECT id FROM b2bstorepanama_buyer.buyer WHERE id_installazione=(SELECT id_installazione FROM operatori WHERE id='"+data.id_user+"')) ORDER BY data_ordine DESC"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:orders
};
