<div class="container operativo">
	<div class="row container_generation">
		<div class="col-md-12 container_elementi">
			<div class="row">
				<div class="col-md-12">
					<h3 class="titolo_page">Agenda</h3>
				</div>
			</div>
			<div class="selezioni">
				<div class="row">
					<div class="col-md-9 container_calendar">
						<div id="calendar" class="fc fc-unthemed fc-ltr"></div>
						<span class="messageLoadinCalendar"><b>Please wait:</b> Loading the calendar...</span>
					</div>
					<div class="col-md-3" style="padding-top: 15px;">
						<button class="form-control btn btn-primary luminosaTxt btn_addEvent"><i class="fas fa-plus-circle"></i></button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="modalAddEvent" class="modal" tabindex="-1" role="dialog">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5>New Appointment</h5>
			</div>
			<div class="modal-body">
				<div class="newAppuntamentoGen newEventStep2">
					<div class="row">
						<div class="col-md-12">
							<select class="form-control newEventTypeApp">
								<option value="" style="display:none;" selected="">-- SELECT INTERLOCUTOR --</option>
								<option value="newAppuntamentoBuyer">Buyer</option>
								<option value="newAppuntamentoBrand">Brand</option>
							</select>
						</div>
					</div>
				</div>
				<div class="newAppuntamentoBuyer newEventStep2" style="display: none;">
					<div class="row">
						<div class="col-md-12">
							<h5>Appointment with Buyer</h5>
							<hr />
						</div>
					</div>
					<div class="row">
						<div class="col-md-6">
							<label>Start</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeBuyer" readonly>
						</div>
						<div class="col-md-6">
							<label>End</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeEndBuyer" readonly>
						</div>
						<div class="col-md-12">
							<label>Buyer</label>
							<input size="16" type="text" value="" class="form-control form_input newEventBuyer">
							<div id="suggestions-container-buyer" style="position: relative; float: left; width: 400px; margin: 10px;"></div>
						</div>
					</div>
				</div>
				<div class="newAppuntamentoBrand newEventStep2" style="display: none;">
					<div class="row">
						<div class="col-md-12">
							<h5>Appointment with Brand</h5>
							<hr>
						</div>
					</div>
					<div class="row">
						<div class="col-md-6">
							<label>Start</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeBrand" readonly="">
						</div>
						<div class="col-md-6">
							<label>End</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeEndBrand" readonly="">
						</div>
						<div class="col-md-12">
							<label>Brand</label>
							<input size="16" type="text" value="" class="form-control form_input newEventBrand" autocomplete="off">
							<div id="suggestions-container-brand" style="position: relative; float: left; width: 400px; margin: 10px;"><div class="autocomplete-suggestions" style="position: absolute; display: none; max-height: 300px; z-index: 9999;"></div></div>
						</div>
					</div>
				</div>
				<div class="newAperturaCollezione newEventStep2" style="display: none;">
					<div class="row">
						<div class="col-md-12">
							<h5>Apertura Stagione</h5>
							<hr />
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<label>&nbsp;</label>
							<select class="form-control select_white select_utente_apertura" style="margin-bottom: 15px;margin-top: -25px;">
								<option value="-1" style="display:none;">--</option>
								<option value="buyer">Buyer</option>
								<option value="all">Tutti</option>
							</select>
						</div>
					</div>
					<div class="row">
						<div class="col-md-6">
							<label>Data e ora inizio</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeApertura" readonly>
						</div>
						<div class="col-md-6">
							<label>Data e ora fine</label>
							<input size="16" type="text" value="" class="form_datetime form-control newEventDatetimeEndApertura" readonly>
						</div>
					</div>
					<div class="row" style="margin-top:20px;">
						<div class="col-md-12">
							<select class="form-control elenco_collezioni" style="width: 100%;"></select>
						</div>
					</div>
					<div class="row row_ap" style="margin-top:20px;display:none;">
						<div class="col-md-12">
							<div class="elenco_apertura">
{buyer_list|							
								<input class="checkbox_apertura" type="checkbox" id="checkboxBuyer" value="[id-buyer]">
									<label for="checkboxBuyer">&nbsp;[azienda] - [id-buyer]</label>
								<br>
}
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary newEventBtnBack" style="display:none;left: 15px;position: absolute;">Back</button>
				<button type="button" class="btn btn-primary newEventBtnConfirm" style="display:none;">Save</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>

<div id="modalReadEvent" class="modal" tabindex="-1" style="z-index:999999;" role="dialog">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header readEvent" style="border-radius: 0;">
				<h5 class="modal-title modalReadTitle"></h5>
			</div>
			<div class="modal-body">
				<div class="row">		
					<div class="col-sm-12">
						<textarea class="form-control dettagliEventoLuogo"  style="background:none;border: medium none;resize: none;height: 125px;" disabled></textarea>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger btn_eliminaEvento">
					Delete&nbsp;
				</button>
				<button type="button" class="btn btn-danger btn_modificaEvento" style="display:none;">
					Edit&nbsp;
				</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>

<div id="modalModEvent" class="modal" tabindex="-1"  style="z-index:999999;" role="dialog">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Edit </h5>
			</div>
			<div class="modal-body">
				<div class="row">		
					<div class="col-sm-12">
						<div class="row">
							<div class="col-md-6">
								<label>Start</label>
								<input size="16" type="text" value="" class="form_datetime form-control modEventDatetime" readonly>
							</div>
							<div class="col-md-6">
								<label>End</label>
								<input size="16" type="text" value="" class="form_datetime form-control modEventDatetimeEnd" readonly>
							</div>
							<div class="col-md-12">
								<label>Interlocutor</label>
								<input size="16" type="text" value="" class="form-control modEventInterlocutore">	
								<div id="suggestions-container-mod" style="position: relative; float: left; width: 400px; margin: 10px;"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary modModificaEventBtnConfirm">Save</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>