var dataWriter=function(moduli){
	var self=this;
	var db=moduli.db;

	this.getQuery=function(data,cb){
		let queries=[];
        console.log("dataWriter.getQuery: "+JSON.stringify(data));
		for(p of data.parameters){
		    switch(data.command) {
			    case 'saveCartAdd':
			        queries.push({'saveCartAdd':
						'CALL save_cart('+p.id_buyer+', '+p.id_articolo+', '+p.id_colore+', '+p.id_taglia+', '+p.prezzo+', '+p.qty+', 0);'
					});
		        break;
			    case 'saveCartUpdate':
			        queries.push({'saveCartUpdate':
						'CALL save_cart('+p.id_buyer+', '+p.id_articolo+', '+p.id_colore+', '+p.id_taglia+', '+p.prezzo+', '+p.qty+', 1);'
					});
		        break;
				case 'deleteCart':
			        queries.push({'deleteCart':
						'CALL delete_from_cart('+p.id_buyer+', '+p.id_collezione+', '+p.id_articolo+');'
					});
				break;
	            case 'saveFavourite':
			        queries.push({'saveFavourite':
						'CALL save_to_favourites('+p.id_buyer+', '+p.id_articolo+');'
					});
			    break;
                case 'deleteFavourite':
	                queries.push({'deleteFavourite':
						'DELETE FROM `preferiti` WHERE `id-buyer` = '+p.id_buyer+' AND `id-articolo` = '+p.id_articolo+';'
					});
		        break;
		    }
        }
        console.log("dataWriter.queries: "+JSON.stringify(queries));
        cb(queries);
	}

	this.listener=function(io,socket){
		socket.on('putData', function(data){
			// data.page
			// data.id_user
			// data.command
			// data.parameters 
            self.getQuery(data,function(queries){
	            if(queries.length === 0) {
		            socket.emit('putData', false, 0);
	            } else {
                    moduli.dataManager.execCmd(queries, (success, result) => {
                        console.log("dataWriter (success = "+success+") (result = "+result+")");
	                    socket.emit('putData', success, result);
	                    socket.broadcast.emit('broadcastEvents',data.id_user,data.command);
                    });
	            }
            });
		});
	}
}

module.exports={
	initiate:dataWriter
};