var fs = require('fs');
var mysql=require('mysql');
const { exec } = require("child_process");



var jackOrderSystem=function(moduli){

	var self=this;
	
	var readOrder=function(id){
		var path=__dirname + '/api/getOrder.php';
		exec("php -f "+__dirname+"/api/getOrder.php id_ordine="+id, (error, stdout, stderr) => {
			if (error) {
				console.log(`error: ${error.message}`);
				return;
			}
			// if (stderr) {
				// console.log(`stderr: ${stderr}`);
				// return;
			// }
			console.log(`stdout: ${stdout}`);
			var ordine=stdout;
			var ord_file = fs.createWriteStream(__dirname + '/orders/'+id+'.json', {flags : 'w'});
			var ord_stdout = process.stdout;		
			ord_file.write(ordine);
			ord_stdout.write(ordine);
			// inviaOrdine(id);
		});
		
	}
	
/* 	var inviaOrdine=function(id){
		var file=__dirname + '/orders/'+id+'.json';
		const { exec } = require("child_process");
		// exec("curl -k -X POST -H \"Content-Type: application/json\" https://wop.d-exterior.com:8444/jack_web_services/TaskServlet?cod_azienda=COS\\&key=AAt67p2\\!U --data @"+__dirname +"/orders/file.json", (error, stdout, stderr) => {
		exec("curl -k -X POST -H \"Content-Type: application/json\" https://wop.d-exterior.com:8444/jack_web_services/TaskServlet?cod_azienda=COS\\&key=AAt67p2\\!U --data @"+file, (error, stdout, stderr) => {
			if (error) {
				console.log(`error: ${error.message}`);
				return;
			}
			// if (stderr) {
				// console.log(`stderr: ${stderr}`);
				// return;
			// }
			console.log(`stdout: ${stdout}`);
		});
		
	} */
	
	this.sendOrder=function(id_order,cb_so){
		readOrder(id_order);
		cb_so();
	}
		
	
	
	this.listener=function(io,socket){
		socket.on('apiJack',function(data){
			var id_order=data.id;
			self.sendOrder(id_order,function(){
				socket.emit('apiJack',true,'');
			})
		});
	}	
}

module.exports={
	initiate:jackOrderSystem
};















/*

{
	header:{
	[X]			cod_soggetto:,
	[JACK]		num_ordine_cli:,
	[X]			data_ordine_cli:,
	[X]			data_consegna:,
	[X]			cod_destinatario:,
	[X]			cod_destinazione:,
	[X]			perc_sc_1:,
	[X]			cod_listino_cli:,
	[X]			cod_pagamento:,
	[X]			referente_cliente:,
	E52			cod_agente:,
	[X]			cod_divisa:,
	PE22		cod_stagione:,
	""			rif_esterno:,
	[delivery]	cod_porto:
	},
	rows:[
		{
	[da 1]			riga_ordine_cli:,
	[X]				cod_articolo:,
	[descrizione]	des_articolo:,
	[colore]		cod_spec_1:,
	[X]				qta:,
	[X]				prezzo:,
	[X]				data_consegna:,
	[X]				cod_listino_cli:,
	[X]				cod_udm:,
	[X]				cod_udm_fatt:,
	[X]				qta_prog:		
		}
	]
}

*/