var mysql=require('mysql');

var order=function(moduli){

	var verifyCart=function(id_buyer, id_collezione,cb){
		var quer="SELECT ci.*,c.`id-colore`,c.`id-taglia` FROM `cart-items_carrello` as ci JOIN carrello as c ON ci.id=c.id WHERE ci.`id-buyer`='"+id_buyer+"' AND `id-collezione`='"+id_collezione+"';";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}else if(res.length>0){
				cb(res);
			}
		});
	}


	/*  id_licenza_
		timestamp_
		pad(5,id_ordine)
	*/
	var readLicense=function(){
		var quer="SELECT valore FROM `dati_installazione` WHERE nome='licenza'";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}else if(res.length>0){
				cb(res);
			}
		});
	}

	var padString=function(num, padlen, padchar) {
		if(padchar==undefined){
			padchar='0';
		}
		var pad = new Array(1 + padlen).join(padchar);
		return (pad + num).slice(-pad.length);
	}

	var createOrderNumber=function(id_ordine, timestamp){
		var licenza=readLicense();
		return codice_ordine=licenza+"_"+timestamp+"_"+padString(id_ordine,5);
	}

	var updateOrdine=function(codice_ordine){
		var quer="UPDATE ordini SET codice_ordine='"+codice_ordine+"' WHERE id='"+id_ordine+"'";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertOrderDetail=function(cart,id_ordine){
		var arr_ordine=[];
		for(var i in cart){
			arr_ordine.push("('"+id_ordine+"','"+cart[i]['id_articolo']+"','"+cart[i]['id-colore']+"','"+cart[i]['id-taglia']+"','"+cart[i].quantita+"','"+cart[i].prezzo_unitario+"','1')");
		}
		var str_ordine=arr_ordine.join(",");
		var quer="INSERT INTO `dettagli_ordine`"+
		"(`id-ordine`, `id-articolo`, `id-colore`, `id-taglia`, `quantita`, `prezzo_unitario_riservato`, `attivo`)"+
		"VALUES "+str_ordine;	
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertFile=function(id_ordine,codice_ordine){
		var quer="INSERT INTO `ordini_file`(`id_ordine`, `nome_file`) VALUES ('"+id_ordine+"','"+codice_ordine+"')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertFirma=function(id_ordine,id_spedizione,firma,timestamp){
		var quer="INSERT INTO `firme`(`id_ordine`, `id-spedizione`, `firma`, `timestamp`, `attivo`) VALUES ('"+id_ordine+"','"+id_spedizione+"','"+firma+"','"+timestamp+"','1')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}
		});
	}

	var insertOrder=function(cart,totale_articoli,valore,id_spedizione,firma){
		var timestamp=Math.floor(Date.now()/1000);
		var quer="INSERT INTO `ordini`"+
			"(`codice_ordine`, `id-buyer`, `id-collezione`, `totale_articoli`, `valore`, `status`, `data_ordine`, `data_ultima_modifica`, `attivo`)"+
			"VALUES ('','"+id_buyer+"','"+id_collezione+"','"+totale_articoli+"','"+valore+"','da accettare','"+timestamp+"','"+timestamp+"','1')";
		db.get("system").query(quer,function(err,res){
			if(err){
				console.log(err);
			}else{
				var id_ordine=res.insertId;
				var codice_ordine=createOrderNumber(id_ordine, timestamp);
				updateOrdine(codice_ordine);
				insertOrderDetail(cart,id_ordine);
				insertFile(id_ordine,codice_ordine);
				insertFirma(id_ordine,id_spedizione,firma,timestamp);
			}
		});
	}

	this.newOrder=function(id_buyer, id_collezione,firma,id_spedizione){
		verifyCart(id_buyer, id_collezione,function(e){
			var totale_articoli=0;
			var valore=0;
			for(var i in e){
				totale_articoli+=e[i].quantita;
				valore+=e[i].totale_costo_articolo;
				if(i==e.length){
					insertOrder(res,totale_articoli,valore,id_spedizione,firma);
				}
			}
			
		});
	}
}

module.exports={
	initiate:order
};