var agenda=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
		//qui ascoltatori
	}

	this.dynamicQuery=[
		{
			"label":"read_brand",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("SELECT id,nome FROM `brand`");
			}
		},
		{
			"label":"read_buyer",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT `id-buyer`,azienda FROM `buyers-list`");
			}
		},
		{
			"label":"read_collection",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT `nome-brand`,`id-collezione`,`nome-collezione` FROM `home_admin-collezioni`");
			}
		},
		{
			"label":"insert_event",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `eventi`(`tipo`, `id_account`, `interlocutore`, `luogo`, `note`, `title`, `allDay`, `start`, `end`, `color`,  `borderColor`, `textColor`) VALUES ('"+data.tipo+"','"+data.id_account+"','"+data.interlocutore+"','"+data.luogo+"','"+data.note+"','"+data.titolo+"','"+data.allDay+"','"+data.start+"','"+data.end+"','"+data.color+"','"+data.borderColor+"','"+data.textColor+"')");		
			}
		},
		{
			"label":"delete_event",
			"dbase":"system",
			"composer":function(data,cb){
				cb("DELETE FROM `eventi` WHERE id='"+data.id+"'");		
			}
		},
		{
			"label":"update_event",
			"dbase":"system",
			"composer":function(data,cb){
				cb("UPDATE `eventi` SET `interlocutore`='"+data.interlocutore+"',`title`='"+data.title+"',`start`='"+data.start+"',`end`='"+data.end+"' WHERE id='"+data.id+"'");		
			}
		},
		{
			"label":"get_email",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT t.*,d1.valore AS logo, d2.valore AS firma, d3.valore AS link FROM `template_email` as t JOIN dati_installazione as d1 ON d1.nome='logo'  JOIN dati_installazione as d2 ON d2.nome='nome' JOIN dati_installazione as d3 ON d3.nome='link' WHERE t.`tipo`='"+data.tipo+"'");
			}
		},
		{
			"label":"get_interlocutore_email",
			"dbase":"buyer",
			"composer":function(data,cb){
				if(data.tipo=="buyer"){					
					cb("SELECT email_account FROM `buyer` WHERE `id`='"+data.id+"'");
				}else{
					cb("SELECT * FROM `buyer` WHERE 0");
				}
			}
		}
	];

	this.getQuery=function(data){
		return{
			"buyer_list":"SELECT `id-buyer`,azienda FROM `buyers-list`",
			"eventi":"SELECT * FROM `eventi`"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:agenda
};
