var buyers=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
		//qui ascoltatori
	}
	
	this.dynamicQuery=[
		{
			"label":"elimina_buyer",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("UPDATE buyer SET attivo='0' WHERE id='"+data.id_buyer+"'");
			}
		},
		{
			"label":"insert_indirizzo",
			"dbase":"buyer",
			"composer":function(data,cb){
				var str_indirizzo="";
				if(data.tipo=="spedizione"){
					if(data.dati_buyer.spedizione_nazione_ins=="italia"){
						str_indirizzo="('Italia','"+data.dati_buyer.spedizione_provincia+"','"+data.dati_buyer.spedizione_citta+"','"+data.dati_buyer.spedizione_cap+"','"+data.dati_buyer.spedizione_indirizzo+"','1')";
					}else{
						str_indirizzo="('"+data.dati_buyer.spedizione_nazione_estero+"','"+data.dati_buyer.spedizione_stato_estero+"','"+data.dati_buyer.spedizione_citta_estero+"','"+data.dati_buyer.spedizione_cap_estero+"','"+data.dati_buyer.spedizione_indirizzo+"','1')";
					}
				}else{
					if(data.dati_buyer.nazione=="italia"){
						str_indirizzo="('Italia','"+data.dati_buyer.provincia+"','"+data.dati_buyer.citta+"','"+data.dati_buyer.cap+"','"+data.dati_buyer.indirizzo+"','1')";
					}else{
						str_indirizzo="('"+data.dati_buyer.nazione_estero+"','"+data.dati_buyer.stato_estero+"','"+data.dati_buyer.citta_estero+"','"+data.dati_buyer.cap_estero+"','"+data.dati_buyer.indirizzo+"','1')";
					}
				}
				cb("INSERT INTO `indirizzo`(`nazione`, `stato_provincia`, `citta`, `cap_zip`, `indirizzo`, `attivo`) VALUES "+str_indirizzo);
			}
		},
		{
			"label":"get_login",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT `user`, `password` FROM `account` WHERE `id-soggetto`='"+data.id_buyer+"' AND `tipo`='buyer' ");
			}
		},
		{
			"label":"insert_buyer",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("INSERT INTO `buyer`(`cod_esterno`,`id_installazione`,`azienda`,`id-indirizzo`,`iva_vat`,`cf`,`email_account`,`email_ordini`,`telefono_azienda`,`attivo`) SELECT '"+data.dati_buyer.codice_esterno+"',id_installazione,'"+data.dati_buyer.azienda+"','"+data.id_indirizzo+"','"+data.dati_buyer.piva+"','','"+data.dati_buyer.email+"','"+data.dati_buyer.email_buyer+"','"+data.dati_buyer.telefono+"','1' FROM b2bstorepanama_system.operatori WHERE id='"+data.id_op+"';");
			}
		},
		{
			"label":"insert_indirizzo_spedizione",
			"dbase":"buyer",
			"composer":function(data,cb){
				var arr=[];
				for(var i in data.dati_buyer){
					arr.push("('"+data.id_buyer+"','"+data.spedizione_indirizzo[i]+"','"+data.dati_buyer[i].spedizione_label+"','1')");
				}
				var str=arr.join(",");
				cb("INSERT INTO `indirizzi_spedizione`(`id-buyer`, `id-indirizzo`, `label`, `attivo`) VALUES "+str);
			}
		},
		{
			"label":"insert_dati_profilazione",
			"dbase":"buyer",
			"composer":function(data,cb){
				var str_check=JSON.stringify(data.dati_buyer.check);
				var str="('"+data.id_buyer+"','facebook','"+data.dati_buyer.facebook+"','1'),('"+data.id_buyer+"','acquirente','"+data.dati_buyer.acquirente+"','1'),('"+data.id_buyer+"','check','"+str_check+"','1'),('"+data.id_buyer+"','sito','"+data.dati_buyer.sito+"','1'),('"+data.id_buyer+"','instagram','"+data.dati_buyer.instagram+"','1'),('"+data.id_buyer+"','pinterest','"+data.dati_buyer.pinterest+"','1'),('"+data.id_buyer+"','linkedin','"+data.dati_buyer.linkedin+"','1')";
				cb("INSERT INTO `dati_profilazione`(`id-buyer`, `nome`, `valore`, `attivo`) VALUES "+str);
			}
		},
		{
			"label":"insert_referenti",
			"dbase":"buyer",
			"composer":function(data,cb){
				var arr=[];
				for(var i in data.dati_buyer){
					arr.push("('"+data.id_buyer+"','"+data.dati_buyer[i].dir_proprietario_0+"','"+data.dati_buyer[i].nome_proprietario_0+"','"+data.dati_buyer[i].cognome_proprietario_0+"','"+data.dati_buyer[i].email_proprietario_0+"','"+data.dati_buyer[i].telefono_proprietario_0+"','1')");
				}
				var str=arr.join(",");
				if(str==""){
					str="('"+data.id_buyer+"','1','','','','','1')";
				}
				cb("INSERT INTO `referenti`(`id-buyer`, `proprietario_direttore`, `nome`, `cognome`, `email`, `telefono`, `attivo`) VALUES "+str);
			}
		},
		{
			"label":"read_default",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT valore FROM dati_installazione WHERE nome=CONCAT('default_',(SELECT id_installazione FROM b2bstorepanama_buyer.buyer WHERE id='"+data.id_buyer+"'))");
			}
		},
		{
			"label":"insert_default_collection",
			"dbase":"system",
			"composer":function(data,cb){
				if(data.collection.length==2){
					var coll=data.collection.join(`,'1'),('${data.id_buyer}',`);
					cb("INSERT INTO `buyer_collezioni`(`id-buyer`, `id-collezione`, `attivo`) VALUES ('"+data.id_buyer+"',"+coll+",'1')");					
				}else if(parseInt(data.collection[0])==1){
					cb("INSERT INTO `buyer_collezioni`(`id-buyer`, `id-collezione`, `attivo`) VALUES ('"+data.id_buyer+"',1,'1'),('"+data.id_buyer+"',2,'0')");					
				}else if(parseInt(data.collection[0])==2){
					cb("INSERT INTO `buyer_collezioni`(`id-buyer`, `id-collezione`, `attivo`) VALUES ('"+data.id_buyer+"',1,'0'),('"+data.id_buyer+"',2,'1')");
				}else{
					cb("INSERT INTO `buyer_collezioni`(`id-buyer`, `id-collezione`, `attivo`) VALUES ('"+data.id_buyer+"',1,'0'),('"+data.id_buyer+"',2,'0')");					
				}
			}
		},
		{
			"label":"insert_default_options",
			"dbase":"system",
			"composer":function(data,cb){
				var txt=`(${data.id_bc},'pagamento','${data.opt.pagamento}','1'),(${data.id_bc},'consegna','${data.opt.consegna}','1'),(${data.id_bc},'da','${data.opt.da}','1'),(${data.id_bc},'a','${data.opt.a}','1')`;
				if(data.id_bc2!=0){
					txt+=`,(${data.id_bc2},'pagamento','${data.opt.pagamento}','1'),(${data.id_bc2},'consegna','${data.opt.consegna}','1'),(${data.id_bc2},'da','${data.opt.da}','1'),(${data.id_bc2},'a','${data.opt.a}','1')`;
				}
				// console.log("INSERT INTO `opzioni-buyer_collezioni`(`id-buyer_collezioni`, `opzione`, `valore`, `attivo`) VALUES "+txt);
				cb("INSERT INTO `opzioni-buyer_collezioni`(`id-buyer_collezioni`, `opzione`, `valore`, `attivo`) VALUES "+txt);
			}
		},
		{
			"label":"insert_default_listini_1",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `associazione_listini`(`id-buyer`, `id-listino`, `id-collezione`, `attivo`) SELECT "+data.id_buyer+",id,1,'1' FROM b2bstorepanama_collezioni.listini WHERE `id-collezione`=1 AND nome='"+data.listino+"'");
			}
		},
		{
			"label":"insert_default_listini_2",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `associazione_listini`(`id-buyer`, `id-listino`, `id-collezione`, `attivo`) SELECT "+data.id_buyer+",id,2,'1' FROM b2bstorepanama_collezioni.listini WHERE `id-collezione`=2 AND nome='"+data.listino+" Personalizzati'");
			}
		},
		{
			"label":"insert_default_listini_3",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `associazione_listini_personalizzati`(`id-buyer`, `id-listino`, `attivo`) SELECT "+data.id_buyer+",id_custom,'1' FROM associazione_listini_system_custom WHERE id_system=(SELECT id FROM b2bstorepanama_collezioni.listini WHERE`id-collezione`=2 AND nome='"+data.listino+" Personalizzati')");
			}
		},
		
		{
			"label":"insert_default_company",
			"dbase":"system",
			"composer":function(data,cb){
				console.log("DEFAULT COMPANY: INSERT INTO `buyer_company`(`id_buyer`, `id_fornitore`, `attivo`) VALUES ("+data.id_buyer+",'1','1')");
				cb("INSERT INTO `buyer_company`(`id_buyer`, `id_fornitore`, `attivo`) VALUES ("+data.id_buyer+",'1','1')");
			}
		},
		{
			"label":"insert_esclusi",
			"dbase":"system",
			"composer":function(data,cb){
				if(data.esclusi.length>0){
					var esc=data.esclusi.join(`),('${data.id_bc}',`);
					cb("INSERT INTO `articoli_esclusi`( `id-buyer_collezioni`, `id-articolo`) VALUES ("+data.id_bc+","+esc+")");
				}else{
					cb("SELECT * FROM `articoli_esclusi`");
				}
			}
		},
		{
			"label":"insert_account",
			"dbase":"system",
			"composer":function(data,cb){
				var randomstring = Math.random().toString(36).slice(-6);
				cb("INSERT INTO `account`(`user`, `password`, `tipo`, `id-soggetto`, `bloccato`, `attivo`) VALUES ('"+data.codice_buyer+"','"+randomstring+"','BUYER','"+data.id_buyer+"','0','1');");
			}
		},
		{
			"label":"insert_collezione",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `buyer_collezioni`(`id-buyer`, `id-collezione`, `attivo`) SELECT '"+data.id_buyer+"', `id-collezione`, '0' FROM `home_admin-collezioni`;");
			}
		},
		{
			"label":"read_buyer",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT * FROM `home_admin-buyer_dettagliato` WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"update_indirizzo",
			"dbase":"buyer",
			"composer":function(data,cb){
				var where="";
				if(data.tipo=="ind"){
					where="WHERE id=(SELECT `id-indirizzo` FROM buyer WHERE id='"+data.id_buyer+"')";
					if(data.dati_buyer.nazione=="italia"){
						str_indirizzo="nazione='Italia', stato_provincia='"+data.dati_buyer.provincia+"',citta='"+data.dati_buyer.citta+"',cap_zip='"+data.dati_buyer.cap+"',indirizzo='"+data.dati_buyer.indirizzo+"'";
					}else{
						str_indirizzo="nazione='"+data.dati_buyer.nazione_estero+"',stato_provincia='"+data.dati_buyer.stato_estero+"',citta='"+data.dati_buyer.citta_estero+"',cap_zip='"+data.dati_buyer.cap_estero+"',indirizzo='"+data.dati_buyer.indirizzo+"'";
					}
				}else if(data.tipo=="spedizione"){
					where="WHERE id='"+data.id+"'";
					if(data.dati_buyer.spedizione_nazione_ins=="italia"){
						str_indirizzo="nazione='Italia', stato_provincia='"+data.dati_buyer.spedizione_provincia+"',citta='"+data.dati_buyer.spedizione_citta+"',cap_zip='"+data.dati_buyer.spedizione_cap+"',indirizzo='"+data.dati_buyer.spedizione_indirizzo+"'";
					}else{
						str_indirizzo="nazione='"+data.dati_buyer.spedizione_nazione_estero+"',stato_provincia='"+data.dati_buyer.spedizione_stato_estero+"',citta='"+data.dati_buyer.spedizione_citta_estero+"',cap_zip='"+data.dati_buyer.spedizione_cap_estero+"',indirizzo='"+data.dati_buyer.spedizione_indirizzo+"'";
					}
				}
				console.log("update_indirizzoq");
				console.log("UPDATE `indirizzo` SET "+str_indirizzo+" "+where);
				cb("UPDATE `indirizzo` SET "+str_indirizzo+" "+where);
			}
		},
		{
			"label":"update_buyer",
			"dbase":"buyer",
			"composer":function(data,cb){
				console.log("qupdate_buyer");
				console.log("UPDATE `buyer` SET `azienda`='"+data.dati_buyer.azienda+"',`cod_esterno`='"+data.dati_buyer.codice_esterno+"',`iva_vat`='"+data.dati_buyer.piva+"',`email_account`='"+data.dati_buyer.email+"',`email_ordini`='"+data.dati_buyer.email_buyer+"',`telefono_azienda`='"+data.dati_buyer.telefono+"' WHERE `id`='"+data.id_buyer+"'");
				cb("UPDATE `buyer` SET `azienda`='"+data.dati_buyer.azienda+"',`cod_esterno`='"+data.dati_buyer.codice_esterno+"',`iva_vat`='"+data.dati_buyer.piva+"',`email_account`='"+data.dati_buyer.email+"',`email_ordini`='"+data.dati_buyer.email_buyer+"',`telefono_azienda`='"+data.dati_buyer.telefono+"' WHERE `id`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"update_referenti",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("UPDATE `referenti` SET `proprietario_direttore`='"+data.dati_buyer.dir_proprietario_0+"',`nome`='"+data.dati_buyer.nome_proprietario_0+"', `cognome`='"+data.dati_buyer.cognome_proprietario_0+"',`email`='"+data.dati_buyer.email_proprietario_0+"', `telefono`='"+data.dati_buyer.telefono_proprietario_0+"'  WHERE `id`='"+data.id+"'");
			}
		},
		{
			"label":"update_dati_profilazione",
			"dbase":"buyer",
			"composer":function(data,cb){
				var str_check=JSON.stringify(data.dati_buyer.check);
				cb("UPDATE `dati_profilazione` SET `valore`=CASE WHEN nome='facebook' THEN '"+data.dati_buyer.facebook+"' WHEN nome='acquirente' THEN '"+data.dati_buyer.acquirente+"' WHEN nome='check' THEN '"+str_check+"' WHEN nome='sito' THEN '"+data.dati_buyer.sito+"' WHEN nome='instagram' THEN '"+data.dati_buyer.instagram+"' WHEN nome='pinterest' THEN '"+data.dati_buyer.pinterest+"' WHEN nome='linkedin' THEN '"+data.dati_buyer.linkedin+"' WHEN nome='cellulare' THEN '"+data.dati_buyer.cellulare+"' END WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"delete_spedizioni",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("DELETE FROM `indirizzi_spedizione` WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"delete_ref",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("DELETE FROM `referenti` WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"get_email",
			"dbase":"system",
			"composer":function(data,cb){
				cb("SELECT t.*,d1.valore AS logo, d2.valore AS firma FROM `template_email` as t JOIN dati_installazione as d1 ON d1.nome='logo'  JOIN dati_installazione as d2 ON d2.nome='nome' WHERE t.`tipo`='"+data.tipo+"'");
			}
		},
		{
			"label":"insert_token",
			"dbase":"system",
			"composer":function(data,cb){
				console.log("INSERT INTO `token`(`user`, `tipo`, `timestamp`, `token`) VALUES ('"+data.id+"','"+data.tipo+"','"+data.time+"','"+data.token+"')");
				cb('INSERT INTO `token`(`user`, `tipo`, `timestamp`, `token`) VALUES ("BUYER_'+data.id+'","'+data.tipo+'","'+data.time+'","'+data.token+'")');
			}
		},
		{
			"label":"insert_minimi",
			"dbase":"system",
			"composer":function(data,cb){
				var q="INSERT INTO `limiti_acquisto`(`id-buyer`, `limiti`, `attivo`) SELECT '"+data.id_buyer+"',minimi,'1' FROM minimi_installazione WHERE id_installazione=(SELECT id_installazione FROM operatori WHERE id='"+data.id_op+"')";
				cb(q);
			}
		},
		{
			"label":"insert_default_cart",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `carrelli_salvati` (`nome`, `id-buyer`, `attivo`) VALUES ('Default Order', '"+data.id_buyer+"', '1');");
			}
		}
	];

	this.getQuery=function(data){
		console.log('dati');
		console.log(data);
		return{
			"buyers-list":"SELECT * FROM `buyers-list2` WHERE id_installazione=(SELECT id_installazione FROM operatori WHERE id='"+data.id_user+"')",
			"elenco_citta":"SELECT DISTINCT provincia FROM elenco_citta ORDER BY provincia"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:buyers
};
