var selezioni=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
		//qui ascoltatori
	}
	
	this.dynamicQuery=[
		{
			"label":"change_select_collection",
			"dbase":"system",
			"composer":function(data,cb){
				cb("UPDATE `buyer_collezioni` SET attivo='"+data.attivo+"' WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='"+data.id_collezione+"';");
			}
		},
		{
			"label":"change_listino_collection",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `associazione_listini` (`id-buyer`, `id-listino`, `id-collezione`, `attivo`) VALUES ('"+data.id_buyer+"','"+data.listino+"','"+data.id_collezione+"','1') ON DUPLICATE KEY UPDATE `id-listino`='"+data.listino+"'");
			}
		},
		{
			"label":"change_listino_custom",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `associazione_listini_personalizzati`(`id-buyer`, `id-listino`, `attivo`) SELECT '"+data.id_buyer+"',id_custom,'1' FROM associazione_listini_system_custom WHERE id_system='"+data.listino+"' ON DUPLICATE KEY UPDATE `id-listino`=(SELECT id_custom FROM associazione_listini_system_custom WHERE id_system='"+data.listino+"')");
				// cb("UPDATE `associazione_listini_personalizzati` SET `id-listino`=(SELECT id_custom FROM associazione_listini_system_custom WHERE id_system='"+data.listino+"') WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"change_valore_collection",
			"dbase":"system",
			"composer":function(data,cb){
				cb("INSERT INTO `opzioni-buyer_collezioni`(`id-buyer_collezioni`, `opzione`, `valore`, `attivo`) SELECT id,'"+data.nome+"','"+data.valore+"','1' FROM buyer_collezioni WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='"+data.id_collezione+"'  ON DUPLICATE KEY UPDATE `valore`='"+data.valore+"';");
			}
		},
		{
			"label":"update_minimi",
			"dbase":"system",
			"composer":function(data,cb){
				cb(`UPDATE limiti_acquisto SET limiti='${data.dati}' WHERE \`id-buyer\`='${data.id_buyer}';`);
			}
		},
		{
			"label":"change_company",
			"dbase":"system",
			"composer":function(data,cb){
				cb(`UPDATE buyer_company SET \`id_fornitore\` = '${data.company}' WHERE \`id_buyer\` ='${data.id_buyer}';`);
			}
		}
	];

	this.getQuery=function(data){
		return{
			"home_admin-collezioni":"SELECT `id-brand`, `id-collezione`, `nome-brand`, `nome-collezione`, `copertina-collezione` FROM `home_admin-collezioni`",
			"associazione_listini":"SELECT `id`, `id-buyer`, `id-listino`, `attivo` FROM `associazione_listini` WHERE `id-buyer`='"+data.ids[0]+"';",
			"buyer_collezioni":"SELECT `id`, `id-buyer`, `id-collezione`, `attivo` FROM `buyer_collezioni` WHERE `id-buyer`='"+data.ids[0]+"';",
			"articoli_esclusi":"SELECT `id`, `id-buyer_collezioni`, `id-articolo` FROM `articoli_esclusi` WHERE `id-buyer_collezioni` IN (SELECT id FROM buyer_collezioni WHERE `id-buyer`='"+data.ids[0]+"');",
			"opzioni-buyer_collezioni":"SELECT `id`, `id-buyer_collezioni`, `opzione`, `valore`, `attivo` FROM `opzioni-buyer_collezioni` WHERE `attivo`='1' AND `id-buyer_collezioni` IN (SELECT id FROM buyer_collezioni WHERE `id-buyer`='"+data.ids[0]+"');",
			"listini":"SELECT `id`, `id-collezione`, `nome`, `nome_valuta`, `simbolo_valuta`, `protetto`, `attivo` FROM `listini` WHERE `attivo`='1'",
			"minimi":"SELECT * FROM `limiti_acquisto` WHERE `id-buyer`='"+data.ids[0]+"'",
			"company":"SELECT id, tag FROM `company`",
			"company_buyer":"SELECT id_fornitore FROM `buyer_company` WHERE `id_buyer`='"+data.ids[0]+"'",
			"opzioni":"SELECT `id`, `id-collezione`, `label`, `valore`, `attivo` FROM `opzioni` WHERE `attivo`='1'"
		};
	}
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		//qui manipolazione dati (vettore data)
		cb(data);
	}
}

module.exports={
	initiate:selezioni
};
