var data=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	
	// Metodo obbligatorio
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	
	// Metodo obbligatorio
	this.listener=function(io,socket){
		//QUI SI INSERISCONO GLI ASCOLTATORI DEDICATI ALLA PAGINA
		socket.on('example', function(data){
			if(activeListener){
				// IN OGNI ASCOLTATORE SERVE IL CONTROLLO SU activeListener
				console.log(data);				
			}
		});
	}
	
	
	this.dynamicQuery=[
		{
			"label":"insert_indirizzo",
			"dbase":"buyer",
			"composer":function(data,cb){
				var str_indirizzo="";
				if(data.tipo=="spedizione"){
					if(data.dati_buyer.spedizione_nazione_ins=="italia"){
						str_indirizzo="('Italia','"+data.dati_buyer.spedizione_provincia+"','"+data.dati_buyer.spedizione_citta+"','"+data.dati_buyer.spedizione_cap+"','"+data.dati_buyer.spedizione_indirizzo+"','1')";
					}else{
						str_indirizzo="('"+data.dati_buyer.spedizione_nazione_estero+"','"+data.dati_buyer.spedizione_stato_estero+"','"+data.dati_buyer.spedizione_citta_estero+"','"+data.dati_buyer.spedizione_cap_estero+"','"+data.dati_buyer.spedizione_indirizzo+"','1')";
					}
				}else{
					if(data.dati_buyer.nazione=="italia"){
						str_indirizzo="('Italia','"+data.dati_buyer.provincia+"','"+data.dati_buyer.citta+"','"+data.dati_buyer.cap+"','"+data.dati_buyer.indirizzo+"','1')";
					}else{
						str_indirizzo="('"+data.dati_buyer.nazione_estero+"','"+data.dati_buyer.stato_estero+"','"+data.dati_buyer.citta_estero+"','"+data.dati_buyer.cap_estero+"','"+data.dati_buyer.indirizzo_estero+"','1')";
					}
				}
				console.log("str_indirizzo"+data.tipo);
				console.log(str_indirizzo);
				console.log(data);
				cb("INSERT INTO `indirizzo`(`nazione`, `stato_provincia`, `citta`, `cap_zip`, `indirizzo`, `attivo`) VALUES "+str_indirizzo);
			}
		},
		{
			"label":"insert_indirizzo_spedizione",
			"dbase":"buyer",
			"composer":function(data,cb){
				var arr=[];
				for(var i in data.dati_buyer){
					if(data.spedizione_indirizzo[i]!=undefined){
						arr.push("('"+data.id_buyer+"','"+data.spedizione_indirizzo[i]+"','"+data.dati_buyer[i].spedizione_label+"','1')");
					}
				}
				var str=arr.join(",");
				cb("INSERT INTO `indirizzi_spedizione`(`id-buyer`, `id-indirizzo`, `label`, `attivo`) VALUES "+str);
			}
		},
		{
			"label":"insert_referenti",
			"dbase":"buyer",
			"composer":function(data,cb){
				console.log("query insert_referenti");
				console.log(data);
				var arr=[];
				for(var i in data.dati_buyer){
					arr.push("('"+data.id_buyer+"','"+data.dati_buyer[i].dir_proprietario_0+"','"+data.dati_buyer[i].nome_proprietario_0+"','"+data.dati_buyer[i].cognome_proprietario_0+"','"+data.dati_buyer[i].email_proprietario_0+"','"+data.dati_buyer[i].telefono_proprietario_0+"','1')");
				}
				var str=arr.join(",");
				console.log("INSERT INTO `referenti`(`id-buyer`, `proprietario_direttore`, `nome`, `cognome`, `email`, `telefono`, `attivo`) VALUES "+str);
				cb("INSERT INTO `referenti`(`id-buyer`, `proprietario_direttore`, `nome`, `cognome`, `email`, `telefono`, `attivo`) VALUES "+str);
			}
		},
		{
			"label":"update_indirizzo",
			"dbase":"buyer",
			"composer":function(data,cb){
				var where="";
				if(data.tipo=="ind"){
					where="WHERE id=(SELECT `id-indirizzo` FROM buyer WHERE id='"+data.id_buyer+"')";
					if(data.dati_buyer.nazione=="italia"){
						str_indirizzo="nazione='Italia', stato_provincia='"+data.dati_buyer.provincia+"',citta='"+data.dati_buyer.citta+"',cap_zip='"+data.dati_buyer.cap+"',indirizzo='"+data.dati_buyer.indirizzo+"'";
					}else{
						str_indirizzo="nazione='"+data.dati_buyer.nazione_estero+"',stato_provincia='"+data.dati_buyer.stato_estero+"',citta='"+data.dati_buyer.citta_estero+"',cap_zip='"+data.dati_buyer.cap_estero+"',indirizzo='"+data.dati_buyer.indirizzo_estero+"'";
					}
				}else if(data.tipo=="spedizione"){
					where="WHERE id='"+data.id+"'";
					if(data.dati_buyer.spedizione_nazione_ins=="italia"){
						str_indirizzo="nazione='Italia', stato_provincia='"+data.dati_buyer.spedizione_provincia+"',citta='"+data.dati_buyer.spedizione_citta+"',cap_zip='"+data.dati_buyer.spedizione_cap+"',indirizzo='"+data.dati_buyer.spedizione_indirizzo+"'";
					}else{
						str_indirizzo="nazione='"+data.dati_buyer.spedizione_nazione_estero+"',stato_provincia='"+data.dati_buyer.spedizione_stato_estero+"',citta='"+data.dati_buyer.spedizione_citta_estero+"',cap_zip='"+data.dati_buyer.spedizione_cap_estero+"',indirizzo='"+data.dati_buyer.spedizione_indirizzo+"'";
					}
				}
				console.log("update_indirizzoq");
				console.log("UPDATE `indirizzo` SET "+str_indirizzo+" "+where);
				cb("UPDATE `indirizzo` SET "+str_indirizzo+" "+where);
			}
		},
		{
			"label":"update_buyer",
			"dbase":"buyer",
			"composer":function(data,cb){
				console.log("qupdate_buyer");
				console.log("UPDATE `buyer` SET `azienda`='"+data.dati_buyer.azienda+"',`cod_esterno`='"+data.dati_buyer.codice_esterno+"',`iva_vat`='"+data.dati_buyer.piva+"',`email_account`='"+data.dati_buyer.email+"',`email_ordini`='"+data.dati_buyer.email_buyer+"',`telefono_azienda`='"+data.dati_buyer.telefono+"' WHERE `id`='"+data.id_buyer+"'");
				cb("UPDATE `buyer` SET `azienda`='"+data.dati_buyer.azienda+"',`cod_esterno`='"+data.dati_buyer.codice_esterno+"',`iva_vat`='"+data.dati_buyer.piva+"',`email_account`='"+data.dati_buyer.email+"',`email_ordini`='"+data.dati_buyer.email_buyer+"',`telefono_azienda`='"+data.dati_buyer.telefono+"' WHERE `id`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"update_dati_profilazione",
			"dbase":"buyer",
			"composer":function(data,cb){
				var str_check=JSON.stringify(data.dati_buyer.check);
				cb("UPDATE `dati_profilazione` SET `valore`=CASE WHEN nome='facebook' THEN '"+data.dati_buyer.facebook+"' WHEN nome='acquirente' THEN '"+data.dati_buyer.acquirente+"' WHEN nome='check' THEN '"+str_check+"' WHEN nome='sito' THEN '"+data.dati_buyer.sito+"' WHEN nome='instagram' THEN '"+data.dati_buyer.instagram+"' WHEN nome='pinterest' THEN '"+data.dati_buyer.pinterest+"' WHEN nome='linkedin' THEN '"+data.dati_buyer.linkedin+"' WHEN nome='cellulare' THEN '"+data.dati_buyer.cellulare+"' END WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"delete_spedizioni",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("DELETE FROM `indirizzi_spedizione` WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		},
		{
			"label":"delete_ref",
			"dbase":"buyer",
			"composer":function(data,cb){
				cb("DELETE FROM `referenti` WHERE `id-buyer`='"+data.id_buyer+"'");
			}
		}
	];

	
	//getQuery Metodo obbligatorio che trasmette le query per ottenere i dati utili per questa pagina
	this.getQuery=function(data){
		return{
			"home_buyer_mydata":
				"SELECT * FROM `home_admin-buyer_dettagliato` WHERE `id-buyer`=\""+data.id_user+"\";"
		};
	}

	//getQuery Metodo che trasmette le query per ottenere i dati utili per questa pagina
	this.get=function(dataset,filters,cb){
		data.tabelle=dataset;
		data.filters=filters;
		data.variabili={};

		cb(data);
	}
}

module.exports={
	initiate:data
};