var personalizzati=function(){
	var self=this;
	var data={"variabili":{},"tabelle":{},"filters":{}};
	var activeListener=false;
	
	this.setListener=function(status_l){
		activeListener=status_l;
	}
	this.listener=function(io,socket){
		socket.on('example', function(data){
			if(activeListener){
				console.log(data);				
			}
		});
	}
	
	this.dynamicQuery=[
		{
			"label":"delete_hat",
			"dbase":"customed",
			"composer":function(data,cb){
				cb(`DELETE FROM order_personalizzati WHERE id='${data.id_ordine}'`);
			}
		},
		{
			"label":"get_models",
			"dbase":"customed",
			"composer":function(data,cb){
				cb('SELECT lm.*,l.prezzo,nl.simbolo_valuta FROM `list_model` AS lm JOIN listini AS l ON lm.id=l.`id-pml` JOIN nomi_listini AS nl ON l.`id-listino`=nl.id JOIN b2bstorepanama_system.`associazione_listini_personalizzati` AS alp ON nl.id=alp.`id-listino` WHERE alp.`id-buyer`='+data.id_buyer+' AND lm.attivo=\'1\' ORDER BY lm.modello');
			}
		},
		{
			"label":"get_colours",
			"dbase":"customed",
			"composer":function(data,cb){
				var and="";
				if(data.id!=undefined){
					and=" AND id IN (SELECT id_colour FROM group_colour WHERE id_group='"+data.id+"')";
				}
				cb("SELECT * FROM vista_colours_new WHERE 1"+and);
			}
			
		},
		{
			"label":"get_bands",
			"dbase":"customed",
			"composer":function(data,cb){
				var and="";
				if(data.id!=undefined){
					and=" AND id IN (SELECT id_band FROM group_band WHERE id_group='"+data.id+"')";
				}
				cb("SELECT * FROM vista_bands_new WHERE attivo='1'"+and);
			}
		},
		{
			"label":"upload_brand",
			"dbase":"customed",
			"composer":function(data,cb){
				cb("INSERT INTO `brand`(`foto`, `attivo`) VALUES ('"+data.link_brand+"','1')");
			}
		},
		{
			"label":"insert_order",
			"dbase":"customed",
			"composer":function(data,cb){
				var codice="";
				if(parseInt(data.ordine.band)==-1){
					data.ordine.band_code='NB';
				}
				var toAppend="_"+data.ordine.brand.id;
				if(parseInt(data.ordine.brand.id)==-1){
					toAppend="";
				}
				codice=`${data.ordine.fin}-${data.ordine.model}-${data.ordine.colour_code}#${data.ordine.band_code}${toAppend}`;
				cb(`INSERT INTO order_personalizzati(id_buyer, id_model, id_colour, id_band, id_brand, s, m, l, xl, pu, valuta, code, attivo) 
						VALUES ('${data.id_buyer}','${data.ordine.grade}','${data.ordine.colour}','${data.ordine.band}','${data.ordine.brand.id}','${data.ordine.s}','${data.ordine.m}','${data.ordine.l}','${data.ordine.xl}','${data.ordine.prezzo}','${data.ordine.valuta}','${codice}','1')
						ON DUPLICATE KEY UPDATE s=s+${data.ordine.s},m=m+${data.ordine.m},l=l+${data.ordine.l},xl=xl+${data.ordine.xl}`);
			}
		},
		{
			"label":"update_order",
			"dbase":"customed",
			"composer":function(data,cb){
				cb(`UPDATE order_personalizzati SET s='${data.s}',m='${data.m}',l='${data.l}',xl='${data.xl}' WHERE id='${data.id_ordine}'`);
			}
		},
		{
			"label":"get_finiture",
			"dbase":"customed",
			"composer":function(data,cb){
				id_mod=data.modelli.join(',');
				cb(`SELECT lm.id AS id_mod,f.* FROM finiture AS f JOIN list_model AS lm ON lm.nome_finitura=f.nome_finitura AND lm.grado_finitura=f.grado WHERE lm.id IN (${id_mod})`);
			}
		},
		{
			"label":"select_article",
			"dbase":"collezioni",
			"composer":function(data,cb){
				var codice="";
				if(parseInt(data.ordine.band)==-1){
					data.ordine.band_code='NB';
				}
				var toAppend="_"+data.ordine.brand.id;
				if(parseInt(data.ordine.brand.id)==-1){
					toAppend="";
				}
				codice=`${data.ordine.fin}-${data.ordine.model}-${data.ordine.colour_code}#${data.ordine.band_code}${toAppend}`;
				cb(`SELECT id FROM articoli WHERE codice='${codice}' AND \`id-collezione\`='2'`);
			}
		},
		{
			"label":"insert_article",
			"dbase":"collezioni",
			"composer":function(data,cb){
				var codice="";
				if(parseInt(data.ordine.band)==-1){
					data.ordine.band_code='NB';
				}
				var toAppend="_"+data.ordine.brand.id;
				if(parseInt(data.ordine.brand.id)==-1){
					toAppend="";
				}
				codice=`${data.ordine.fin}-${data.ordine.model}-${data.ordine.colour_code}#${data.ordine.band_code}${toAppend}`;
				
				var scala_taglia=1;
				if(data.ordine.model=='PH-TB/TNT'){
					scala_taglia=2;
				}
			
				
				cb("INSERT INTO `articoli`(`id-collezione`, `codice`, `id-cartella_colore`, `descrizione`, `id-scala_taglie`, `ordine`, `attivo`) VALUES ('2','"+codice+"',0,198,"+scala_taglia+",0,'1')");
			}
		},
		{
			"label":"update_price",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("UPDATE `prezzi`SET `prezzo`="+data.ordine.prezzo+" WHERE `id-articolo`="+data.ordine.id_art+" AND `id-listino` IN (SELECT `id-listino` FROM b2bstorepanama_system.`associazione_listini` WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='2')");
			}
		},
		{
			"label":"insert_price",
			"dbase":"collezioni",
			"composer":function(data,cb){
				cb("INSERT INTO `prezzi`(`id-listino`, `id-articolo`, `prezzo`, `attivo`) SELECT `id-listino`,"+data.ordine.id_art+","+data.ordine.prezzo+",'1' FROM b2bstorepanama_system.`associazione_listini` WHERE `id-buyer`='"+data.id_buyer+"' AND `id-collezione`='2'");
			}
		},
		{
			"label":"insert_media",
			"dbase":"collezioni",
			"composer":function(data,cb){
				var code=data.ordine.model.replace('/','-');
				cb("INSERT INTO `media_articoli`(`id-articolo`, `id-colore`, `id-media`, `ordine`, `attivo`) SELECT '"+data.ordine.id_art+"','1',id,0,'1' FROM media WHERE url LIKE '%/img/personalizzati/modelli/"+code.toLowerCase()+".%'");
			}
		},
		{
			"label":"insert_cart",
			"dbase":"system",
			"composer":function(data,cb){
				var query="INSERT INTO carrello(`id-buyer`, `id_carrello`, `id-articolo`, `id-taglia`, quantita, prezzo_unitario_riservato) SELECT '"+data.id_buyer+"','0',id,id_taglia,quantita,prezzo_unitario_riservato FROM ordini_personalizzati_cart WHERE id_buyer='"+data.id_buyer+"' ON DUPLICATE KEY UPDATE carrello.quantita=carrello.quantita+ordini_personalizzati_cart.quantita";
				cb(query);
			}
		},
		{
			"label":"delete_cart",
			"dbase":"system",
			"composer":function(data,cb){
				var query=`DELETE FROM carrello WHERE \`id-buyer\`='${data.id_buyer}' AND id_carrello='0'`;
				cb(query);
			}
		},
		{
			"label":"select_articolo_fornitore",
			"dbase":"customed",
			"composer":function(data,cb){
				var query=`SELECT * FROM all_fornitore WHERE finitura='${data.ordine.fin}' AND modello='${data.ordine.model}' AND id_colour=${data.ordine.colour} AND id_band=${data.ordine.band}`;
				cb(query);
			}
		},
		{
			"label":"insert_articolo_fornitore",
			"dbase":"collezioni",
			"composer":function(data,cb){
				var codice=`${data.ordine.code_model} ${data.ordine.nome_finitura}#${data.ordine.grado} ${data.ordine.brim} ${data.ordine.code_color} - ${data.ordine.code_band}`;
				var query=`INSERT INTO \`articoli-fornitore\` (id_articolo,codice,id_fornitore,tipologia,costo,classe) VALUES (${data.id_articolo},'${codice}',${data.ordine.id_fornitore},'standard',${data.ordine.prezzo},'') ON DUPLICATE KEY UPDATE codice='${codice}', costo='${data.ordine.prezzo}';`;
				console.log("insert_articolo_fornitore");
				console.log(query);
				cb(query);
			}
		}
	];
	
	this.getQuery=function(data){
		return{
			"home_buyer-ordini":"SELECT * FROM `home_buyer-ordini_personalizzati` WHERE id_buyer='"+data.id_user+"'",
			"home_buyer-minimi":"SELECT * FROM `limiti_acquisto` WHERE `id-buyer`=\""+data.id_user+"\" AND attivo='1';"
		};
	}
	
	this.get=function(dataset,filters,cb_get){
		data.tabelle=dataset;
		data.filters=filters;
		data.variabili={};
		
		cb_get(data);
	}
}

module.exports={
	initiate:personalizzati
};