var pageSystem=function(moduli,configurations){
	var self=this;
	var db=moduli.db;

	var pages={
		'list':configurations.pages,
		'class':{},
		'object':{}
	};	
	
	var setSingleDynamicData=function(page,dq){
		console.log(moduli.dynamicData.set);
		moduli.dynamicData.set(page,dq.label,dq.dbase,dq.composer);		
	}
	
	var setDynamicData=function(page,vector){
		for(var o in vector){
			setSingleDynamicData(page,vector[o]);				
		}
	}
	
	for(var u in pages.list){
		pages.class[u]=require(pages.list[u]);
		pages.object[u]=new pages.class[u].initiate();
		if(pages.object[u].dynamicQuery!=undefined){
			setDynamicData(u,pages.object[u].dynamicQuery);
		}
	}
	
	var removePagesListener=function(cb){
		for(var u in pages.object){
			pages.object[u].setListener(false);
		}
		cb();
	}
	
	var setDataPages=function(page,dataset,filters,cb){
	    console.log('ROW 60 - Main');
		console.log(dataset);
		console.log(page);
		console.log(pages.object[page]);
		removePagesListener(function(){pages.object[page].setListener(true);});
		pages.object[page].get(dataset,filters,function(data){
			console.log(data);
			cb(data);
		});
	}



	this.listener=function(io,socket){
		for(var u in pages.object){
			pages.object[u].listener(io,socket);
		}
		
		socket.on('getData', function(data){
			// data.page
			// data.id_user
			// data.ids []
			// data.filters
			console.log('=======> getData <=======');
			console.log('getData'+JSON.stringify(data));
			let queries=pages.object[data.page].getQuery(data);
			let target=Object.keys(queries).length;
			if(target==0){
				setDataPages(data.page,{},data.filters,function(val){
					socket.emit('getData', true, val);
				});	
			}else{
				moduli.dataManager.getAll(queries,function(success, results){
					if(success) {
						setDataPages(data.page,results,data.filters,function(val){
							socket.emit('getData', true, val);
						});
					} else {
					    console.log('ROW 228');
					    console.log('ERROR');
						console.log(results);
						socket.emit('getData', false, results);
					}
				});
			}
		});
		
	}
}

module.exports={
	initiate:pageSystem
};