var fs = require('fs');

var templateManager=function(moduli){
	var self=this;	
	var db=moduli.db;

	this.get=function(nameTemplate,cb){
		fs.readFile(
			__dirname+'/../template/'+nameTemplate+'.tpl', 
			'utf8', 
			function (err, data) {
				if (err) {
					cb(false, err);
				} else {
					cb(true, data);
				}
			}
		);
	}
	
	this.listener=function(io,socket){
		socket.on('getTemplate', function(data){
			self.get(data.page,function(success, result){
				if(!success) {
				    console.log('Error (getModule): '+result);
				}
				socket.emit('getTemplate', success, result);
			});
		});
		socket.on('getModuleTemplate', function(module_name){
			self.get('module/'+module_name,function(success, result){
				if(!success) {
				    console.log('Error (getModuleTemplate): '+result);
				}
				socket.emit('getModuleTemplate', success, result);
			});
		});
	
	}
}

module.exports={
	initiate:templateManager
};